%define snapshot 20100401

Summary:   Linux DVB API applications and utilities
Name:      dvb-utils
Version:   %{snapshot}
Release:   1%{?dist}
License:   LGPLv2
# hg clone http://linuxtv.org/hg/dvb-apps 
Source0:   dvb-apps.tar.bz2
Group:     Applications/Multimedia
URL:       http://www.linuxtv.org
BuildRequires: kernel-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Linux DVB API applications and utilities.
All applications support the DVB-S, DVB-C, DVB-T, and ATSC standards.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q -n dvb-apps

%build

make %{_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install libdir=%{_libdir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc COPYING COPYING.LGPL README
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/dvb

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.a

%changelog

* Thu Apr 01 2010 Paulo Roma <roma@lcg.ufrj.br> 1:20100401-1
- Initial spec file.

